Bug 524437 - Review Request: nss_updatedb - Maintains a local cache of network directory user and group information
Summary: Review Request: nss_updatedb - Maintains a local cache of network directory u...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 07:52 UTC by Kashyap Chamarthy
Modified: 2010-03-22 04:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-22 04:16:19 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kashyap Chamarthy 2009-09-20 07:52:55 UTC
Spec URL: http://kashyapc.fedorapeople.org/nss_updatedb.spec

SRPM URL: http://kashyapc.fedorapeople.org/nss_updatedb-10-1.fc12.src.rpm

Description: 
The nss_updatedb utility maintains a local cache of network directory user
and group information. Used in conjunction with the pam_ccreds module, 
it provides a mechanism for disconnected use of network directories.

Comment 1 Jason Tibbitts 2009-09-22 22:53:47 UTC
Builds fine and rpmlint is silent.

You have "License: GPLv2" but nowhere do I see a version of the GPL specified.  According to the GPL text itself (section 9) we can choose any version we like.  This means that the license is GPL+.  Or do you see any language in the code or documentation which specifies "version 2 only"?

BTW, if you're going to require a recent rpm by leaving out BuildRoot:, you might as well drop the rpm -rf at the start of %install.

* source files match upstream.  sha256sum:              
   a0f95ec12eb2a986774bf7f6738925ccb9ee588ae99d1fa7a771bd1d07676ab1  
   nss_updatedb.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
X license field does not seem to match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   nss_updatedb = 10-1.fc12
   nss_updatedb(x86-64) = 10-1.fc12
  =
   libdb-4.7.so()(64bit)

* no shared libraries are added to the regular linker search paths.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 2 Kashyap Chamarthy 2009-09-23 05:07:51 UTC
Thanks Jason for reviewing, 

- Yeah, Licence was a gotcha, now I changed the License in the SPEC file to GPL+
- And removed the rm -rf $RPM_BUILD_ROOT from %install section 

updated SPEC and SRPM:

http://kashyapc.fedorapeople.org/nss_updatedb.spec
http://kashyapc.fedorapeople.org/nss_updatedb-10-2.fc12.src.rpm


Sure, will do package reviews.

Comment 3 Jason Tibbitts 2009-09-23 05:40:31 UTC
Where did the FE-NEEDSPONSOR blocker come from?

Comment 4 Kashyap Chamarthy 2009-09-23 05:51:21 UTC
Jason, 

- I forgot to mention, I'm not sponsored yet.

- I've also submitted another request

https://bugzilla.redhat.com/show_bug.cgi?id=524386

Status: Package APPROVED, but blocked by FE_NEEDSPONSOR.

Comment 5 Jason Tibbitts 2009-09-23 06:06:25 UTC
A package can't be in that state, because reviews of NEEDSPONSOR tickets must be done by a sponsor.

In any case, I'm not willing to sponsor you at this time, in part because I don't appreciate not being told up front that you need sponsorship.  I'm returning this package to the queue.

Comment 6 Kashyap Chamarthy 2009-09-28 11:26:25 UTC
Jason,

Firstly, Apologies. It's an inadvertent mistake I made. I'm new to Fedora process. Still learning.

Comment 7 Kashyap Chamarthy 2009-11-05 08:26:03 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1789279

Comment 8 Parag AN(पराग) 2010-02-08 11:28:44 UTC
+ Ok
- Need work

Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1968557
+ rpmlint is silent for SRPM and for RPM.
nss_updatedb.src: W: no-cleaning-of-buildroot %install
nss_updatedb.src: W: no-buildroot-tag
==> no issues as long as not wanted to use in EPEL.
+ source files match upstream url (sha1sum)
4dbe7daacd8580bb896a7e6ee5006ad3d16dc646  nss_updatedb.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Comment 9 Kashyap Chamarthy 2010-02-08 12:07:01 UTC
Thanks a lot Parag for reviewing.

New Package CVS Request
=======================
Package Name: nss_updatedb
Short Description: Maintains a local cache of network directory user and group information
Owners: kashyapc
Branches: F-11 F-12 F-13

Comment 10 Kevin Fenzi 2010-02-09 00:34:47 UTC
CVS done (by process-cvs-requests.py).

Note: we are not yet doing F-13 branches.


Note You need to log in before you can comment on or make changes to this bug.